# Uses of Class
org.codehaus.janino.Java.FieldDeclaration

Packages that use Java.FieldDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.samples
Sample applications for the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.FieldDeclaration in org.codehaus.janino

Fields in org.codehaus.janino with type parameters of type Java.FieldDeclaration
Modifier and Type
Field
Description
`final List<Java.FieldDeclaration>`
Java.InterfaceDeclaration.`constantDeclarations`
The constants that this interface declares.
Methods in org.codehaus.janino with parameters of type Java.FieldDeclaration
Modifier and Type
Method
Description
`void`
Java.InterfaceDeclaration.`addConstantDeclaration(Java.FieldDeclaration fd)`
Adds one constant declaration to this interface declaration.
`void`
Java.AbstractClassDeclaration.`addFieldDeclaration(Java.FieldDeclaration fd)`
Adds one field declaration to this class.
`R`
Visitor.FieldDeclarationOrInitializerVisitor.`visitFieldDeclaration(Java.FieldDeclaration fd)`
Invoked by `accept(Visitor.BlockStatementVisitor)`
`R`
Visitor.TypeBodyDeclarationVisitor.`visitFieldDeclaration(Java.FieldDeclaration fd)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`

## Uses of Java.FieldDeclaration in org.codehaus.janino.samples

Methods in org.codehaus.janino.samples with parameters of type Java.FieldDeclaration
Modifier and Type
Method
Description
`void`
DeclarationCounter.`traverseFieldDeclaration(Java.FieldDeclaration fd)`

## Uses of Java.FieldDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.FieldDeclaration
Modifier and Type
Method
Description
`Java.FieldDeclaration`
DeepCopier.`copyFieldDeclaration(Java.FieldDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.FieldDeclaration
Modifier and Type
Method
Description
`Java.FieldDeclaration`
DeepCopier.`copyFieldDeclaration(Java.FieldDeclaration subject)`
`void`
AbstractTraverser.`traverseFieldDeclaration(Java.FieldDeclaration fd)`
`void`
Traverser.`traverseFieldDeclaration(Java.FieldDeclaration fd)`